Bug 727590 - [xfs] mis-sized O_DIRECT I/O results in hung task timeouts [rhel-5.7.z]
Summary: [xfs] mis-sized O_DIRECT I/O results in hung task timeouts [rhel-5.7.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Phillip Lougher
QA Contact: Boris Ranto
URL:
Whiteboard:
Depends On: 718232
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-02 14:38 UTC by RHEL Product and Program Management
Modified: 2011-09-13 15:45 UTC (History)
14 users (show)

Fixed In Version: kernel-2.6.18-274.2.1.el5
Doc Type: Bug Fix
Doc Text:
A problem with the XFS dio error handling was discovered. If a misaligned write I/O operation was issued, XFS would return -EINVAL without unlocking the inode's mutex. This caused any further operations on the inode to become unresponsive. This update adds a missing mutex_unlock operation to the dio error path, solving this issue.
Clone Of:
Environment:
Last Closed: 2011-09-13 15:45:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1212 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-09-06 21:41:35 UTC

Description RHEL Product and Program Management 2011-08-02 14:38:14 UTC
This bug has been copied from bug #718232 and has been proposed
to be backported to 5.7 z-stream (EUS).

Comment 4 Phillip Lougher 2011-08-15 16:40:09 UTC
in kernel-2.6.18-274.1.1.el5

linux-2.6-fs-xfs-add-a-missing-mutex_unlock-to-a-dio-error-path.patch

Comment 7 Martin Prpič 2011-09-08 14:58:47 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A problem with the XFS dio error handling was discovered. If a misaligned write I/O operation was issued, XFS would return -EINVAL without unlocking the inode's mutex. This caused any further operations on the inode to become unresponsive. This update adds a missing mutex_unlock operation to the dio error path, solving this issue.

Comment 8 errata-xmlrpc 2011-09-13 15:45:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1212.html


Note You need to log in before you can comment on or make changes to this bug.